FROM golang
COPY ./ /app
WORKDIR /app
RUN go build calculator/calculatorServer/*.go
ENTRYPOINT /app/server

FROM alpine:latest
RUN apk --no-cache add ca-certificates
WORKDIR /app/
COPY --from=0 /app/server .
EXPOSE 5000
ENTRYPOINT ["./calculatorServer/main.go"]
